Loading...
Searching...
No Matches
erreurs.hpp File Reference
API

contains all the excetion class thrown by libdar More...

`#include "../my_config.h"`
`#include <string>`
`#include <deque>`
`#include "integers.hpp"`

Go to the source code of this file.

## Classes

class | libdar::Egeneric
| this is the parent class of all exception classes. More...
class | libdar::Ememory
| exception used when memory has been exhausted More...
class | libdar::Esecu_memory
| exception used when secure memory has been exhausted More...
class | libdar::Ebug
| exception used to signal a bug. A bug is triggered when reaching some code that should never be reached More...
class | libdar::Einfinint
| exception used when arithmetic error is detected when operating on infinint More...
class | libdar::Elimitint
| exception used when a limitint overflow is detected, the maximum value of the limitint has been exceeded More...
class | libdar::Erange
| exception used to signal range error More...
class | libdar::Edeci
| exception used to signal convertion problem between infinint and string (decimal representation) More...
class | libdar::Efeature
| exception used when a requested feature is not (yet) implemented More...
class | libdar::Ehardware
| exception used when hardware problem is found More...
class | libdar::Euser_abort
| exception used to signal that the user has aborted the operation More...
class | libdar::Edata
| exception used when an error concerning the treated data has been met More...
class | libdar::Escript
| exception used when error the inter-slice user command returned an error code More...
class | libdar::Elibcall
| exception used to signal an error in the argument given to libdar call of the API More...
class | libdar::Ecompilation
| exception used when a requested fearture has not beed activated at compilation time More...
class | libdar::Ethread_cancel
| exception used when the thread libdar is running in is asked to stop More...
class | libdar::Esystem
| exception used to carry system error More...
class | libdar::Enet_auth
| exception used to report authentication error More...

## Namespaces

namespace | libdar
| libdar namespace encapsulate all libdar symbols

## Macros

#define | SRC_BUG Ebug(__FILE__, __LINE__)

## Functions

const char * | libdar::dar_gettext (const char *)
| a routine to change NLS domaine forth and back for inline routines

## Detailed Description

contains all the excetion class thrown by libdar

Definition in file erreurs.hpp.